Subject: Re: bug#8857: display-buffer attempt to pop-up frame in batch mode causes "Unknown terminal type" error

From: Stefan Monnier <[email-masked]>
Date: Wed, 15 Jun 2011 10:36:56 -0400

> In addition I still think it might be worth explicitly making
> display-buffer a no-op in batch mode, unless someone can think of
> something it can actually do in such cases. I think this could only be

"batch mode" and "server mode" are *very* closely related.  So I'd stay
away from any attempt to special case "batch mode".

At best, you could try and check the currently selected terminal and do
something special when that terminal is the "initial" terminal (the one
bound to stdout/stdin), but I'd rather not obscure the code to
"optimize" this case.

        Stefan